<?php

namespace App\Console\Commands;

use App\Models\Permission;
use Illuminate\Console\Command;
use Illuminate\Support\Facades\Route;

class InitializeRoutePermission extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'lpc:initialize-route-permission';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Initialize routing permissions';

    /**
     * Execute the console command.
     */
    public function handle()
    {
        $routes = Route::getRoutes();

        foreach ($routes as $route) {
            if (! $route->getName()) {
                continue;
            }

            Permission::query()->firstOrCreate([
                'name' => $route->getName(),
                'guard_name' => 'api'
            ]);
        }
    }
}
